git: 15c68d3c5196 - main - security/openvpn-devel: Update to commit 22a24132da

From: Yusuf Yaman <nxjoseph_at_FreeBSD.org>
Date: Mon, 07 Sep 2026 16:15:32 UTC
The branch main has been updated by nxjoseph:

URL: https://cgit.FreeBSD.org/ports/commit/?id=15c68d3c519680f8e624112270f923a060f08e3b

commit 15c68d3c519680f8e624112270f923a060f08e3b
Author:     Gert Doering <gert@greenie.muc.de>
AuthorDate: 2026-09-07 15:29:52 +0000
Commit:     Yusuf Yaman <nxjoseph@FreeBSD.org>
CommitDate: 2026-09-07 16:14:43 +0000

    security/openvpn-devel: Update to commit 22a24132da
    
    This brings in the upstream development work of the last two months,
    including two CVE fixes relevant for all platforms.
    
    One of the bundled patch files was adjusted to take into account
    upstream formatting changes on tests/t_cltsrv.sh.
    
    PR:             298286
    Approved by:    osa, vvd (Mentors, implicit)
    MFH:            2026Q3
    Security:       CVE-2026-84790
    Security:       CVE-2026-84732
---
 security/openvpn-devel/Makefile                    |  4 +-
 security/openvpn-devel/distinfo                    |  6 +--
 .../openvpn-devel/files/patch-tests__t_cltsrv.sh   | 45 ++++++++++++----------
 3 files changed, 29 insertions(+), 26 deletions(-)

diff --git a/security/openvpn-devel/Makefile b/security/openvpn-devel/Makefile
index 1a33d141d54c..0689283f4382 100644
--- a/security/openvpn-devel/Makefile
+++ b/security/openvpn-devel/Makefile
@@ -1,5 +1,5 @@
 PORTNAME=	openvpn
-DISTVERSION=	g20260721
+DISTVERSION=	g20260907
 #PORTREVISION=	0  # leave in even if 0 to avoid accidental PORTEPOCH bumps
 PORTEPOCH=	2
 CATEGORIES=	security net net-vpn
@@ -19,7 +19,7 @@ LIB_DEPENDS+=	liblzo2.so:archivers/lzo2
 USES=		autoreconf cpe libtool pkgconfig python:build shebangfix tar:xz
 IGNORE_SSL=	libressl libressl-devel
 USE_GITLAB=	yes
-GL_TAGNAME=	4ad3c71ec4bdad706332d0281a3bb3bba0234288
+GL_TAGNAME=	22a24132da88b6be9f121e4c6e74c18a46e7741f
 USE_RC_SUBR=	openvpn
 
 SHEBANG_FILES=	sample/sample-plugins/keying-material-exporter-demo/http-client.py \
diff --git a/security/openvpn-devel/distinfo b/security/openvpn-devel/distinfo
index 98e0fdaf1ae5..28cf499af7be 100644
--- a/security/openvpn-devel/distinfo
+++ b/security/openvpn-devel/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1784638473
-SHA256 (openvpn-openvpn-4ad3c71ec4bdad706332d0281a3bb3bba0234288_GL0.tar.gz) = c4476333e7f6e7b928ed49979d1746d2cf4104fae8f2c612556eb62f8feab7d8
-SIZE (openvpn-openvpn-4ad3c71ec4bdad706332d0281a3bb3bba0234288_GL0.tar.gz) = 1352110
+TIMESTAMP = 1788793290
+SHA256 (openvpn-openvpn-22a24132da88b6be9f121e4c6e74c18a46e7741f_GL0.tar.gz) = f8ea30d33f7ccf5060a433a3beded468364281d342eb075191bc5d4278d5627c
+SIZE (openvpn-openvpn-22a24132da88b6be9f121e4c6e74c18a46e7741f_GL0.tar.gz) = 1378476
diff --git a/security/openvpn-devel/files/patch-tests__t_cltsrv.sh b/security/openvpn-devel/files/patch-tests__t_cltsrv.sh
index 17ca5be84a17..4a2c5dc0571a 100644
--- a/security/openvpn-devel/files/patch-tests__t_cltsrv.sh
+++ b/security/openvpn-devel/files/patch-tests__t_cltsrv.sh
@@ -1,4 +1,4 @@
---- tests/t_cltsrv.sh.orig	2016-08-23 13:10:22 UTC
+--- tests/t_cltsrv.sh.orig	2026-09-07 12:22:41 UTC
 +++ tests/t_cltsrv.sh
 @@ -1,7 +1,7 @@
  #! /bin/sh
@@ -9,7 +9,7 @@
  #
  # This program is free software; you can redistribute it and/or
  # modify it under the terms of the GNU General Public License
-@@ -22,8 +22,9 @@ set -e
+@@ -21,8 +21,9 @@ openvpn="${openvpn:-${top_builddir}/src/openvpn/openvp
  top_srcdir="${top_srcdir:-..}"
  top_builddir="${top_builddir:-..}"
  openvpn="${openvpn:-${top_builddir}/src/openvpn/openvpn}"
@@ -19,14 +19,17 @@
 +trap "rm -f ${root}/sample-config-files/loopback-*.test log.$$ log.$$.signal ; trap 0 ; exit 77" 1 2 15
 +trap "a=\$? ; rm -f ${root}/sample-config-files/loopback-*.test log.$$ log.$$.signal ; test \$a = 0 && exit 1 || exit \$a" 0 3
  addopts=
- case `uname -s` in
+ case $(uname -s) in
      FreeBSD)
-@@ -45,18 +46,38 @@ esac
+@@ -44,7 +45,6 @@ downscript="../tests/t_cltsrv-down.sh"
  # make sure that the --down script is executable -- fail (rather than
  # skip) test if it isn't.
  downscript="../tests/t_cltsrv-down.sh"
 -root="${top_srcdir}/sample"
- test -x "${root}/${downscript}" || chmod +x "${root}/${downscript}" || { echo >&2 "${root}/${downscript} is not executable, failing." ; exit 1 ; }
+ test -x "${root}/${downscript}" || chmod +x "${root}/${downscript}" || {
+     echo >&2 "${root}/${downscript} is not executable, failing."
+     exit 1
+@@ -52,13 +52,34 @@ echo "If the addresses are in use, this test will retr
  echo "The following test will take about two minutes." >&2
  echo "If the addresses are in use, this test will retry up to two times." >&2
  
@@ -47,19 +50,19 @@
 +
  # go
  success=0
- for i in 1 2 3 ; do
-   set +e
-   (
--  "${openvpn}" --script-security 2 --cd "${root}" ${addopts} --setenv role srv --down "${downscript}" --tls-exit --ping-exit 180 --config "sample-config-files/loopback-server" &
--  "${openvpn}" --script-security 2 --cd "${top_srcdir}/sample" ${addopts} --setenv role clt --down "${downscript}" --tls-exit --ping-exit 180 --config "sample-config-files/loopback-client"
-+  "${openvpn}" --script-security 2 \
-+      --cd "${root}" ${addopts} --setenv role srv \
-+      --down "${downscript}" --tls-exit --ping-exit 180 \
-+      --config "sample-config-files/loopback-server.test" &
-+  "${openvpn}" --script-security 2 \
-+      --cd "${top_srcdir}/sample" ${addopts} --setenv role clt \
-+      --down "${downscript}" --tls-exit --ping-exit 180 \
-+      --config "sample-config-files/loopback-client.test"
-   ) 3>log.$$.signal >log.$$ 2>&1
-   e1=$?
-   wait $!
+ for i in 1 2 3; do
+     set +e
+     (
+-        "${openvpn}" --script-security 2 --cd "${root}" ${addopts} --setenv role srv --down "${downscript}" --tls-exit --ping-exit 180 --config "sample-config-files/loopback-server" &
+-        "${openvpn}" --script-security 2 --cd "${top_srcdir}/sample" ${addopts} --setenv role clt --down "${downscript}" --tls-exit --ping-exit 180 --config "sample-config-files/loopback-client"
++        "${openvpn}" --script-security 2 \
++            --cd "${root}" ${addopts} --setenv role srv \
++            --down "${downscript}" --tls-exit --ping-exit 180 \
++            --config "sample-config-files/loopback-server.test" &
++        "${openvpn}" --script-security 2 \
++            --cd "${top_srcdir}/sample" ${addopts} --setenv role clt \
++            --down "${downscript}" --tls-exit --ping-exit 180 \
++            --config "sample-config-files/loopback-client.test"
+     ) 3>log.$$.signal >log.$$ 2>&1
+     e1=$?
+     wait $!